.movie-card {
  cursor: pointer;
  display: flex;
  flex-direction: column;

  &__poster {
    display: block;
    width: 100%;
    height: auto;
    position: relative;
    margin-bottom: 16px;
    border-radius: 8px;
    overflow: hidden;

    & img {
      width: 100%;
      height: 100%;
      display: block;
    }
  }

  &__description {
    padding: 16px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    visibility: hidden;
    opacity: 0;

    font-size: 16px;
    line-height: 22px;
    font-weight: 400;
    color: $light-gray;

    background-color: rgba($gray, .8);
    transition: opacity $easing, visibility $easing;
  }

  &__title {
    font-size: 16px;
    line-height: 20px;
    font-weight: 400;
    display: block;
  }

  &:hover & {
    &__description {
      opacity: 1;
      visibility: visible;
    }
  }

  @include media-breakpoint-up(lg) {
    &__title {
      font-size: 20px;
      line-height: 24px;
    }
  }
}
